# REQUIRED CONFIG
BOT_TOKEN = "5514963468:AAHfdJfHvnzPHZNszSjRyM-M8uaTnAHWx6o"
GDRIVE_FOLDER_ID = "16ns3Gq8Dt4UVa1Ar-A-H8IaQTwsx3iBz"
OWNER_ID = 5161912359
DOWNLOAD_DIR = "/usr/src/KUCING/downloads"
DOWNLOAD_STATUS_UPDATE_INTERVAL = 20
AUTO_DELETE_MESSAGE_DURATION = 10
IS_TEAM_DRIVE = "True"
TELEGRAM_API = 1046625
TELEGRAM_HASH = "c68afc924b92d73ce27708b155f1e5b4"
# BASE_URL_OF_BOT = "https://gekarya1234.herokuapp.com"  # Web Link, Required for (Heroku) to avoid sleep or use worker if you don't want to use web (selection)

# OPTIONAL CONFIG
# DATABASE_URL = "postgres://qvhjosgv:vZwSGUkEvSMR0qIRe661ThW-TvZYoics@jelani.db.elephantsql.com/qvhjosgv"

TORRENT_TIMEOUT = 1000
EXTENTION_FILTER = "exe srt txt jpg jpeg nfo .srt .html .htm .json .txt .php .gif .png .lnk .torrent .url .nfo .xml .xhtml .jpg"
BLOCK_TOR = ""

AUTHORIZED_CHATS = "-1001769210862"  # Split by space
INCOMPLETE_TASK_NOTIFIER = "True"
SUDO_USERS = "900236604"  # Split by space
IGNORE_PENDING_REQUESTS = "False"
USE_SERVICE_ACCOUNTS = "True"
INDEX_URL = ""
STATUS_LIMIT = "5"  # Recommended limit is 4

# UPTOBOX_TOKEN = "d39c562a7d9d13a5be508823b29462858jc93"
# APPDRIVE_EMAIL = "cerminbot@gmail.com"
# APPDRIVE_PASS = "sopaten07"

BLOCK_MEGA_FOLDER = "False" 
BLOCK_MEGA_LINKS = "False"

STOP_DUPLICATE = "False"
RECURSIVE_SEARCH = "False"  # Fill True or False to search in sub-folders or not (only for shared-drive ID or root, you can't use it with folder ID)
SHORTENER = ""
SHORTENER_API = ""

UPSTREAM_REPO = "https://github.com/fenitaaripratama/WZML"
UPSTREAM_BRANCH = "master"

# Leech
TG_SPLIT_SIZE = ""  # leave it empty for max size (2GB), or add size in bytes
AS_DOCUMENT = ""
EQUAL_SPLITS = ""
CUSTOM_FILENAME = ""

# qBittorrent
IS_VPS = ""  # Don't set this to True even if you're using VPS, unless facing error with web server
SERVER_PORT = ""  # Only For VPS even if IS_VPS is False

GDTOT
CRYPT = "dTlYTVRGR2hwTTZmVGEvL2xYZTRDTmNsRUttbTZDdkF1T1dsSlc2cnAxUT0%3D%3D"
PHPSESSID = "rjsav4uheaq1po59o5s091j91l"

MEGA_API_KEY = "R8QixLCQ"
MEGA_EMAIL_ID = "cerminbot@gmail.com"
MEGA_PASSWORD = "sopaten07"

UNIFIED_EMAIL = "babloow.bdn@gmail.com"
UNIFIED_PASS = "corona@2020ind"

# GDTOT
#CRYPT = "N1AzQnZIcUV2eXNLZEJHcmxTTm9lSUt0d3FScHJRcjBYSENKK09KY2FMZz0%3D"

# HUBDRIVE
HUBDRIVE_CRYPT = "N2JQQXdrSG1pY3AwVFNJaTREZ2toVThMRi9iclJwWWdVV3N6UXB1Q1FFMD0%3D"

# (KATDRIVE + KOLOP + DRIVEHUB)
KATDRIVE_CRYPT = "L1Z2aUN6MENYdkZTV2FWVzlEblZLcDYzV05KUVN2WWRDaEdOY2JVRjZmRT0%3D"



TITLE_NAME = "@MesinPencariBot"
AUTHOR_NAME = "@MesinPencariBot"
AUTHOR_URL = "https://t.meMesinPencariBot"
GD_INFO = "@MesinPencariBot"
CREDIT_NAME = "@MesinPencariBot"

#TURN ON/OFF FUCTIONS l

LEECH_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats)
MIRROR_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats) 
WATCH_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats)
CLONE_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats)
ANILIST_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats)
WAYBACK_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats)
MEDIAINFO_ENABLED = "true" #Default is False (only use by owner/sudo) Make it True (for authorized chats) 
SET_BOT_COMMANDS = "true"

CMD_INDEX = ""
# RSS
RSS_DELAY = ""
RSS_COMMAND = ""
RSS_CHAT_ID = ""
USER_STRING_SESSION = ""
# If you want to use Credentials externally from Index Links, fill these vars with the direct links
# These are optional, if you don't know about them, simply leave them empty
ACCOUNTS_ZIP_URL = "https://github.com/JanganKaget/4539HYUX9738/raw/main/accounts.zip"
TOKEN_PICKLE_URL = ""
MULTI_SEARCH_URL = ""  # You can use gist raw link (remove commit id from the link, like config raw link check Heroku guide)
# To use limit don't add unit. Default unit is GB.
TORRENT_DIRECT_LIMIT = ""
ZIP_UNZIP_LIMIT = ""
CLONE_LIMIT = ""  
MEGA_LIMIT = ""
# View Link button to open file Index Link in browser instead of direct download link
# You can figure out if it's compatible with your Index code or not, open any video from you Index and check if its URL ends with ?a=view, if yes fill True it will work (Compatible with Bhadoo Drive Index)
VIEW_LINK = "False"
# Add more buttons (Three buttons are already added including Drive Link, Index Link, and View Link, you can add extra buttons too, these are optional)
# If you don't know what are below entries, simply leave them empty
BUTTON_FOUR_NAME = ""
BUTTON_FOUR_URL = ""
BUTTON_FIVE_NAME = ""
BUTTON_FIVE_URL = ""
BUTTON_SIX_NAME = ""
BUTTON_SIX_URL = ""
# QBittorrent Search Plugins, remove/add plugins as u want with raw github links
SEARCH_API_LINK = "http://api.jmdkh.eu.org"
SEARCH_PLUGINS = '["https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/rarbg.py",
                   "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/piratebay.py",
                                      "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/legittorrents.py",
                                                         "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/limetorrents.py",
                                                                            "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/torrentscsv.py",
                                                                                               "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/zooqle.py",
                                                                                                                  "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/eztv.py",
                                                                                                                                     "https://raw.githubusercontent.com/MaurizioRicci/qBittorrent_search_engines/master/kickass_torrent.py",
                                                                                                                                                        "https://raw.githubusercontent.com/MaurizioRicci/qBittorrent_search_engines/master/yts_am.py",
                                                                                                                                                                           "https://raw.githubusercontent.com/MadeOfMagicAndWires/qBit-plugins/master/engines/linuxtracker.py",
                                                                                                                                                                                              "https://raw.githubusercontent.com/MadeOfMagicAndWires/qBit-plugins/master/engines/nyaasi.py",
                                                                                                                                                                                                                 "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/ettv.py",
                                                                                                                                                                                                                                    "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/glotorrents.py",
                                                                                                                                                                                                                                                       "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/thepiratebay.py",
                                                                                                                                                                                                                                                                          "https://raw.githubusercontent.com/nindogo/qbtSearchScripts/master/magnetdl.py",
                                                                                                                                                                                                                                                                                             "https://raw.githubusercontent.com/khensolomon/leyts/master/yts.py"]'

                                                                                                                                                                                                                                                                                             
